Bug 826687 - [abrt] msynctool-0.22-4.fc17: g_private_get_impl: Process /usr/bin/msynctool was killed by signal 11 (SIGSEGV)
[abrt] msynctool-0.22-4.fc17: g_private_get_impl: Process /usr/bin/msynctool ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: msynctool (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:6484f4a9e2f24e005f2f4f2dc32...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 14:49 EDT by Lars Wijtemans
Modified: 2013-07-31 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.08 KB, text/plain)
2012-05-30 14:50 EDT, Lars Wijtemans
no flags Details
File: maps (34.68 KB, text/plain)
2012-05-30 14:50 EDT, Lars Wijtemans
no flags Details
File: dso_list (7.40 KB, text/plain)
2012-05-30 14:50 EDT, Lars Wijtemans
no flags Details

  None (edit)
Description Lars Wijtemans 2012-05-30 14:49:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        msynctool --sync local
crash_function: g_private_get_impl
executable:     /usr/bin/msynctool
kernel:         3.3.7-1.fc17.x86_64
pid:            2633
pwd:            /home/lars
time:           wo 30 mei 2012 15:52:34 CEST
uid:            1000
username:       lars
xsession_errors: 

backtrace:      Text file, 12366 bytes
dso_list:       Text file, 7582 bytes
maps:           Text file, 35508 bytes

build_ids:
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:ee7538132f578365c0774ef7dc789d8cba51aff7
:324187a3777a45e9d7648dcc7558d85159c13b85
:8568e11bef79abaf14513d18a8559282d8dad34a
:4ed564ef1cda6c5dab00461e37360131419b7663
:647c8183274c4626c81e86e7a631a81782a04e65
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:106a0594c03e608ae5063e7afe5d02bc4af42aef
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:c78e74dad13b72dfad107a962ca2071b5d5ad8c8
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:091927b7a315243a2ff0383dfca1fd2c665405bf
:c29dd59971ec8efc08d732e6664261f65f0590a8
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:90b00babaa9cacb8f0d8c5eed7212072be88e875
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:6e4122602d170ea6392003c567ac48bacdcb5e7b
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:f64b7319b84d426ed547084bdb2577f4f596c18f
:3ffbe15d55182202facda28a3cb1ded985b4981f
:7854f755865cf71bd8c15ad701578345c4ffebee
:1a262290abc47e43b15d179c909c389831958b90
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572
:41932fd6a3deaf96e5e962a11212b6af8b3743f3
:3c0f13a2e8cce72d390526b393c127243388f47a
:e374922181ab65ec03476180dded6440ba9130d6
:9de602a51bc2adee7a0e7122ac40dc52fa971ec5
:87163e16f54ab421bb34433e983acb30eb0c109f
:b3f120116115fbf8addee6b054e384a45e35587c
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:40bb97d97a3b09524033847ab3c093c17713bf36
:0a514176f4c2dab64f43748f085dd375f455541c
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:fc6273a29f47dc0dcb4c409a196e82fda2b8ddc1
:350920b52e92655cdb258fa5f96fe7004ad07a52
:67792c148d2b8f13f6732c9367e926c26d7376c5
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67
:63651cdc0224824a9c9324c77c3b5887378e871d
:de022a6c73534bb11f7963ef6434df0a99705ccb
:3bbab43d6523f7dc0cc5fef6b8030a15ad4fab18
:4ce5d237811776cdfcb3a7e533e6772bf24eb925
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:3d60535f052babb998bae4807bc992c5d15df5c4
:822e9b3523e8312240f41a25722d539bc77ed436
:662310501715fe4e602296dcb6dbf4cd05d66c2b
:73777e822e00ca152ffca281ab0ace0cb498ec48
:de52fc4190e05ca9cd18c0c403d9fe85cab2fb99
:8f1c8e7a9290087a1de608de917e41455f885af0
:0f30f9fc7306e9d288ace7734a3207d06375e43a
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:b46b94e5ef80dff98d04bde19151245d92e6ed35
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:44174defe79b7afeae13d84e8fd127af1fd1b939
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:76360ababe6e90a5642b568849859b91c197a9e0
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:92a26ae19d0be2b5859c8b97e0dce6ff5b7b8b69
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:c31990506eb5651de12f2a715f16f944fba1cd12
:7e20c567d4cc22d65c7b2ffb52043688033c53a9
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:5dd234206476b0387cd251598aa72a2c95c763c5
:3934b7aeda6f9a2b409dfb07de9a0900cd6e5346
:365970e3dc0d6323d5b7de1f68bbdfc164ac5907
:876abf78bd78d6c68a98cb21acd21c6832e96711
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:2a3997325d7eaa8f5e751026e48873dfd71f5144
:e4c13936ef294e2df025bd69eb9aa740b135728f
:247132297f287226a24c12e683292f5c94013066
:ec342d78b80b068ad8c9f8c4483a69bdfc3a72b0
:f85824c7f40e64cb649bf23a3045c08b990496a4
:2d920fc18d5d62c399484534249b104e12049777
:30e315a1c7327aaffd273a717f82fb7274940f38
:27797c8ce24eebd0705a95235d27d0216fe3cd3c

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/lars/2

comment:
:This problem occurs every time I try to sync a Nokia phone over bluetooth with "gnokii-sync" to either "file-sync" or "evo2-sync". I also get the following message: "Error while initializing syncengine: Unable to open fifo"
:
:When I set the environment variable OSYNC_TRACE, the problem goes away.

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x832f6 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x83a99 g_private_set libglib-2.0.so.0 -
:27797c8ce24eebd0705a95235d27d0216fe3cd3c 0x83de osync_client_spawn libosengine.so.0 -
:27797c8ce24eebd0705a95235d27d0216fe3cd3c 0x9f96 osengine_init libosengine.so.0 -
:3bbab43d6523f7dc0cc5fef6b8030a15ad4fab18 0x3975 - [exe] -
:3bbab43d6523f7dc0cc5fef6b8030a15ad4fab18 0x2fc4 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=lap2309.localdomain
:LC_MONETARY=nl_NL.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/lars/keyring-YT84NI/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31457285
:LC_NUMERIC=nl_NL.utf8
:GNOME_KEYRING_CONTROL=/run/user/lars/keyring-YT84NI
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=lars
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/lars/keyring-YT84NI/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1446,unix/unix:/tmp/.ICE-unix/1446
:USERNAME=lars
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/lars/.local/bin:/home/lars/bin
:MAIL=/var/spool/mail/lars
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/lars
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1442
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:LC_MEASUREMENT=nl_NL.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/lars
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=lars
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-B30NCxKrNB,guid=c12ebd7d15f39698de25083c00000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/lars
:DISPLAY=:0
:LC_TIME=nl_NL.utf8
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-lars-J9fdhe/database
:_=/usr/bin/msynctool

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62897                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62897                62897                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:/home/lars/.opensync/group2/lock
:pos:	0
:flags:	02100001

smolt_data:
:
:
:General
:=================================
:UUID: 72db756a-3f83-414d-abab-90d1464b17a5
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4789.55
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2760QM CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2401
:System Memory: 7881
:System Swap: 0
:Vendor: Dell Inc.
:System: Dell System XPS L502X 
:Form factor: Portable
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1294) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(4147:404:4136:1294) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:4136:1294) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3572:4136:1294) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7192:4136:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1294) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4332:33128:4136:1294) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7202:4136:1294) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:145:32902:21025) pci, iwlwifi, NETWORK, Centrino Advanced-N 6230 AGN
:(32902:7171:4136:1294) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1294) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1294) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1294) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1294) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1294) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lap2309-root_new / ext4 4096 4096 3835822 1756900 1718486 966656 696035 696035
:/dev/sda3 /boot ext4 1024 1024 257554 184380 171376 65024 64668 64668
:/dev/mapper/vg_lap2309-home /home ext4 4096 4096 14709578 2079817 2079817 3686400 3207400 3207400
:/dev/mapper/vg_lap2309-root WITHHELD ext4 4096 4096 3401602 341814 311135 851968 501474 501474
:

var_log_messages:
:May 29 23:56:30 lap2309 yum[12742]: Installed: 1:msynctool-0.22-4.fc17.x86_64
:May 30 15:52:34 lap2309 kernel: [ 1146.733837] msynctool[2633]: segfault at 0 ip 00000032c94832f6 sp 00007fff1489c570 error 4 in libglib-2.0.so.0.3200.1[32c9400000+11d000]
:May 30 15:52:34 lap2309 abrt[2634]: Saved core dump of pid 2633 (/usr/bin/msynctool) to /var/spool/abrt/ccpp-2012-05-30-15:52:34-2633 (2232320 bytes)
Comment 1 Lars Wijtemans 2012-05-30 14:50:02 EDT
Created attachment 587807 [details]
File: backtrace
Comment 2 Lars Wijtemans 2012-05-30 14:50:05 EDT
Created attachment 587808 [details]
File: maps
Comment 3 Lars Wijtemans 2012-05-30 14:50:08 EDT
Created attachment 587809 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 15:40:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 14:29:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.